---
displayed_sidebar: entitiesSidebar
---

# Class: ShippingOptionRequirement

## Constructors

### constructor

• **new ShippingOptionRequirement**()

## Properties

### amount

• **amount**: `number`

#### Defined in

[models/shipping-option-requirement.ts:38](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-option-requirement.ts#L38)

___

### deleted\_at

• **deleted\_at**: `Date`

#### Defined in

[models/shipping-option-requirement.ts:41](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-option-requirement.ts#L41)

___

### id

• **id**: `string`

#### Defined in

[models/shipping-option-requirement.ts:24](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-option-requirement.ts#L24)

___

### shipping\_option

• **shipping\_option**: [`ShippingOption`](ShippingOption.md)

#### Defined in

[models/shipping-option-requirement.ts:32](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-option-requirement.ts#L32)

___

### shipping\_option\_id

• **shipping\_option\_id**: `string`

#### Defined in

[models/shipping-option-requirement.ts:28](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-option-requirement.ts#L28)

___

### type

• **type**: [`RequirementType`](../enums/RequirementType.md)

#### Defined in

[models/shipping-option-requirement.ts:35](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-option-requirement.ts#L35)

## Methods

### beforeInsert

▸ `Private` **beforeInsert**(): `void`

#### Returns

`void`

#### Defined in

[models/shipping-option-requirement.ts:43](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/shipping-option-requirement.ts#L43)
